Bug 95996

Summary: [NEW PORT] www/prewikka: Frontend for the Prelude IDS
Product: Ports & Packages Reporter: Robin Gruyters <r.gruyters>
Component: Individual Port(s)Assignee: Renato Botelho <garga>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
prewikka-0.9.4.shar
none
py-prewikka.patch none

Description Robin Gruyters 2006-04-18 12:40:18 UTC
The Prewikka frontend provides a means to query the Prelude database, aggregate
and filter events, and provides useful statistics about what's going on. It
provides a nice interface for the security analyst to see what's going on on
the monitored system.

WWW: http://www.prelude-ids.org/

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho freebsd_committer 2006-04-18 14:51:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-04-18 16:40:28 UTC
Hello,

I propose you following shar file, the major difference it uses
PYTHON_PKGNAMEPREFIX, default wayt to python ports.

Take a look and tell me if you approve this.

One mor point, it's installing 3 files, __init__.py[co] on
usr/local/lib/python2.4/site-packages/, until i know it's not correct to
install files directly on site-packages dir. Could you take a look and send
me a `diff -ruN` format patch to apply in this new port? Since you approve
my changes, of course.

Thanks

--------------------------------------------------------------
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	./py-prewikka
#	./py-prewikka/pkg-descr
#	./py-prewikka/Makefile
#	./py-prewikka/pkg-plist
#	./py-prewikka/distinfo
#
echo c - ./py-prewikka
mkdir -p ./py-prewikka > /dev/null 2>&1
echo x - ./py-prewikka/pkg-descr
sed 's/^X//' >./py-prewikka/pkg-descr << 'END-of-./py-prewikka/pkg-descr'
XThe Prewikka frontend provides a means to query the Prelude database, aggregate
Xand filter events, and provides useful statistics about what's going on. It
Xprovides a nice interface for the security analyst to see what's going on on
Xthe monitored system.
X
XWWW: http://www.prelude-ids.org/
END-of-./py-prewikka/pkg-descr
echo x - ./py-prewikka/Makefile
sed 's/^X//' >./py-prewikka/Makefile << 'END-of-./py-prewikka/Makefile'
X# New ports collection makefile for:	prewikka
X# Date created:		2006-03-13
X# Whom:			Robin Gruyters <r.gruyters@yirdis.nl>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	prewikka
XPORTVERSION=	0.9.4
XCATEGORIES=	www security python
XMASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
X		http://www.prelude-ids.org/download/releases/old/
XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
X
XMAINTAINER=	r.gruyters@yirdis.nl
XCOMMENT=	Frontend for the Prelude IDS
X
XBUILD_DEPENDS=	cheetah-compile:${PORTSDIR}/devel/py-cheetah
XLIB_DEPENDS=	prelude.7:${PORTSDIR}/security/libprelude \
X		preludedb.3:${PORTSDIR}/security/libpreludedb
X
XUSE_PYTHON=		2.3+
XUSE_PYDISTUTILS=	yes
X
X.include <bsd.port.mk>
END-of-./py-prewikka/Makefile
echo x - ./py-prewikka/pkg-plist
sed 's/^X//' >./py-prewikka/pkg-plist << 'END-of-./py-prewikka/pkg-plist'
Xetc/prewikka/prewikka.conf
Xbin/prewikka-httpd
X%%DATADIR%%/cgi-bin/prewikka.cgi
X%%DATADIR%%/htdocs/images/prelude-logo.gif
X%%DATADIR%%/htdocs/images/prelude-logo.png
X%%DATADIR%%/htdocs/images/favicon.ico
X%%DATADIR%%/htdocs/images/bg_content.gif
X%%DATADIR%%/htdocs/images/n.gif
X%%DATADIR%%/htdocs/images/table_order_down.gif
X%%DATADIR%%/htdocs/images/table_order_up.gif
X%%DATADIR%%/htdocs/images/search.png
X%%DATADIR%%/htdocs/images/bg2.gif
X%%DATADIR%%/htdocs/images/led_N.gif
X%%DATADIR%%/htdocs/images/led_Y.gif
X%%DATADIR%%/htdocs/css/style.css
X%%DATADIR%%/htdocs/js/functions.js
X%%DATADIR%%/database/mysql-update-0.9.1.sql
X%%DATADIR%%/database/pgsql.sql
X%%DATADIR%%/database/pgsql-update-0.9.1.sql
X%%DATADIR%%/database/mysql.sql
X%%DATADIR%%/database/mysql2sqlite.sh
X%%DATADIR%%/database/sqlite.sql
X%%PYTHON_SITELIBDIR%%/prewikka/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.py
X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Database.py
X%%PYTHON_SITELIBDIR%%/prewikka/User.py
X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.py
X%%PYTHON_SITELIBDIR%%/prewikka/Log.py
X%%PYTHON_SITELIBDIR%%/prewikka/Auth.py
X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.py
X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.py
X%%PYTHON_SITELIBDIR%%/prewikka/Core.py
X%%PYTHON_SITELIBDIR%%/prewikka/Request.py
X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.py
X%%PYTHON_SITELIBDIR%%/prewikka/view.py
X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.py
X%%PYTHON_SITELIBDIR%%/prewikka/Config.py
X%%PYTHON_SITELIBDIR%%/prewikka/Filter.py
X%%PYTHON_SITELIBDIR%%/prewikka/Error.py
X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.py
X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.py
X%%PYTHON_SITELIBDIR%%/prewikka/utils.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.py
X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.py
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/__init__.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Database.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/User.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Log.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Auth.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Core.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Request.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/view.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Config.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Filter.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/Error.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/utils.pyc
X%%PYTHON_SITELIBDIR%%/prewikka/__init__.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Database.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/User.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Log.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Auth.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Core.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Request.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/view.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Config.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Filter.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/Error.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.pyo
X%%PYTHON_SITELIBDIR%%/prewikka/utils.pyo
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/auth
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/log
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/templates
X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/views
X@dirrm %%PYTHON_SITELIBDIR%%/prewikka
X@dirrmtry %%DATADIR%%/htdocs/images
X@dirrmtry %%DATADIR%%/htdocs/css
X@dirrmtry %%DATADIR%%/htdocs/js
X@dirrm %%DATADIR%%/htdocs
X@dirrm %%DATADIR%%/cgi-bin
X@dirrm %%DATADIR%%/database
X@dirrm %%DATADIR%%
X@dirrm etc/prewikka
END-of-./py-prewikka/pkg-plist
echo x - ./py-prewikka/distinfo
sed 's/^X//' >./py-prewikka/distinfo << 'END-of-./py-prewikka/distinfo'
XMD5 (prewikka-0.9.4.tar.gz) = d3eb1fb4186587fc5dad7e05f1037571
XSHA256 (prewikka-0.9.4.tar.gz) = 986c149b5a41ae55906cf7889b7e2afa95c72a488e0135fee7265977823b57ad
XSIZE (prewikka-0.9.4.tar.gz) = 156140
END-of-./py-prewikka/distinfo
exit
--------------------------------------------------------------
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

At no time is freedom of speech more precious than when a man hits his
thumb with a hammer.
		-- Marshall Lumsden
Comment 3 Renato Botelho freebsd_committer 2006-04-18 16:41:21 UTC
State Changed
From-To: open->feedback

Ask for submitter fix and approval.
Comment 4 Robin Gruyters 2006-04-19 08:42:22 UTC
Hello,

I have include your changes and also fix the __init__.py[co] installation.
I have also included a patch for the prewikka.cgi file. This should be 
compiled
by the setup.py, but aparently they forgot to include it.

I will report both (about the __init__.py[co] and prewikka.cgi) 
incidents to the
Prelude develop team.

In the mean time we can use the following update. (see attachment)

I you have more questions and/or ideas, just let me know. Anyway, thanks for
helping me in the right direction. ;)

Regards,

-- 
Robin Gruyters
Network and Security Engineer
Yirdis B.V.
I: http://yirdis.com
P: +31 (0)36 5300394
F: +31 (0)36 5489119


Quoting Renato Botelho <garga@FreeBSD.org>:

> Hello,
>
> I propose you following shar file, the major difference it uses
> PYTHON_PKGNAMEPREFIX, default wayt to python ports.
>
> Take a look and tell me if you approve this.
>
> One mor point, it's installing 3 files, __init__.py[co] on
> usr/local/lib/python2.4/site-packages/, until i know it's not correct to
> install files directly on site-packages dir. Could you take a look and send
> me a `diff -ruN` format patch to apply in this new port? Since you approve
> my changes, of course.
>
> Thanks
>
> --------------------------------------------------------------
> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	./py-prewikka
> #	./py-prewikka/pkg-descr
> #	./py-prewikka/Makefile
> #	./py-prewikka/pkg-plist
> #	./py-prewikka/distinfo
> #
> echo c - ./py-prewikka
> mkdir -p ./py-prewikka > /dev/null 2>&1
> echo x - ./py-prewikka/pkg-descr
> sed 's/^X//' >./py-prewikka/pkg-descr << 'END-of-./py-prewikka/pkg-descr'
> XThe Prewikka frontend provides a means to query the Prelude 
> database, aggregate
> Xand filter events, and provides useful statistics about what's going on. It
> Xprovides a nice interface for the security analyst to see what's going on on
> Xthe monitored system.
> X
> XWWW: http://www.prelude-ids.org/
> END-of-./py-prewikka/pkg-descr
> echo x - ./py-prewikka/Makefile
> sed 's/^X//' >./py-prewikka/Makefile << 'END-of-./py-prewikka/Makefile'
> X# New ports collection makefile for:	prewikka
> X# Date created:		2006-03-13
> X# Whom:			Robin Gruyters <r.gruyters@yirdis.nl>
> X#
> X# $FreeBSD$
> X#
> X
> XPORTNAME=	prewikka
> XPORTVERSION=	0.9.4
> XCATEGORIES=	www security python
> XMASTER_SITES=	http://www.prelude-ids.org/download/releases/ \
> X		http://www.prelude-ids.org/download/releases/old/
> XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
> X
> XMAINTAINER=	r.gruyters@yirdis.nl
> XCOMMENT=	Frontend for the Prelude IDS
> X
> XBUILD_DEPENDS=	cheetah-compile:${PORTSDIR}/devel/py-cheetah
> XLIB_DEPENDS=	prelude.7:${PORTSDIR}/security/libprelude \
> X		preludedb.3:${PORTSDIR}/security/libpreludedb
> X
> XUSE_PYTHON=		2.3+
> XUSE_PYDISTUTILS=	yes
> X
> X.include <bsd.port.mk>
> END-of-./py-prewikka/Makefile
> echo x - ./py-prewikka/pkg-plist
> sed 's/^X//' >./py-prewikka/pkg-plist << 'END-of-./py-prewikka/pkg-plist'
> Xetc/prewikka/prewikka.conf
> Xbin/prewikka-httpd
> X%%DATADIR%%/cgi-bin/prewikka.cgi
> X%%DATADIR%%/htdocs/images/prelude-logo.gif
> X%%DATADIR%%/htdocs/images/prelude-logo.png
> X%%DATADIR%%/htdocs/images/favicon.ico
> X%%DATADIR%%/htdocs/images/bg_content.gif
> X%%DATADIR%%/htdocs/images/n.gif
> X%%DATADIR%%/htdocs/images/table_order_down.gif
> X%%DATADIR%%/htdocs/images/table_order_up.gif
> X%%DATADIR%%/htdocs/images/search.png
> X%%DATADIR%%/htdocs/images/bg2.gif
> X%%DATADIR%%/htdocs/images/led_N.gif
> X%%DATADIR%%/htdocs/images/led_Y.gif
> X%%DATADIR%%/htdocs/css/style.css
> X%%DATADIR%%/htdocs/js/functions.js
> X%%DATADIR%%/database/mysql-update-0.9.1.sql
> X%%DATADIR%%/database/pgsql.sql
> X%%DATADIR%%/database/pgsql-update-0.9.1.sql
> X%%DATADIR%%/database/mysql.sql
> X%%DATADIR%%/database/mysql2sqlite.sh
> X%%DATADIR%%/database/sqlite.sql
> X%%PYTHON_SITELIBDIR%%/prewikka/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.py
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/PropertiesChangeForm.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorHeartbeatListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/AlertListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/TopLayout.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorAlertListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/About.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/FilterEdition.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/Command.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ErrorTemplate.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageSummary.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/MessageDetails.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/SensorListing.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/LoginPasswordForm.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/UserSettings.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HeartbeatAnalyze.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/utils.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/HTMLDocument.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/templates/ClassicLayout.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Database.py
> X%%PYTHON_SITELIBDIR%%/prewikka/User.py
> X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Log.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Auth.py
> X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.py
> X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Core.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Request.py
> X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.py
> X%%PYTHON_SITELIBDIR%%/prewikka/view.py
> X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Config.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Filter.py
> X%%PYTHON_SITELIBDIR%%/prewikka/Error.py
> X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.py
> X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.py
> X%%PYTHON_SITELIBDIR%%/prewikka/utils.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.py
> X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/views/commands.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/filter.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagesummary.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/misc.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagelisting.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/usermanagement.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/sensor.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/views/messagedetails.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/stderr.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/log/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.py
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/loginpassword.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/auth/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/modules/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/__init__.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Database.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/User.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Log.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Auth.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Core.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Request.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/view.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Config.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Filter.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/Error.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/utils.pyc
> X%%PYTHON_SITELIBDIR%%/prewikka/__init__.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Database.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/User.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Log.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/ParametersNormalizer.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Auth.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/DataSet.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/IDMEFDatabase.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Core.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Request.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/ModPythonHandler.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/view.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/CheetahFilters.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Config.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Filter.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/Error.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/MyConfigParser.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/siteconfig.pyo
> X%%PYTHON_SITELIBDIR%%/prewikka/utils.pyo
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/auth/loginpassword
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/auth
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/log/stderr
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules/log
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/modules
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/templates
> X@dirrmtry %%PYTHON_SITELIBDIR%%/prewikka/views
> X@dirrm %%PYTHON_SITELIBDIR%%/prewikka
> X@dirrmtry %%DATADIR%%/htdocs/images
> X@dirrmtry %%DATADIR%%/htdocs/css
> X@dirrmtry %%DATADIR%%/htdocs/js
> X@dirrm %%DATADIR%%/htdocs
> X@dirrm %%DATADIR%%/cgi-bin
> X@dirrm %%DATADIR%%/database
> X@dirrm %%DATADIR%%
> X@dirrm etc/prewikka
> END-of-./py-prewikka/pkg-plist
> echo x - ./py-prewikka/distinfo
> sed 's/^X//' >./py-prewikka/distinfo << 'END-of-./py-prewikka/distinfo'
> XMD5 (prewikka-0.9.4.tar.gz) = d3eb1fb4186587fc5dad7e05f1037571
> XSHA256 (prewikka-0.9.4.tar.gz) = 
> 986c149b5a41ae55906cf7889b7e2afa95c72a488e0135fee7265977823b57ad
> XSIZE (prewikka-0.9.4.tar.gz) = 156140
> END-of-./py-prewikka/distinfo
> exit
> --------------------------------------------------------------
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <freebsd @ galle.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
>
> At no time is freedom of speech more precious than when a man hits his
> thumb with a hammer.
> 		-- Marshall Lumsden
>

Comment 5 Renato Botelho freebsd_committer 2006-04-19 11:23:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!